
Infrastructure - Story #7211

Review V2 implementation of authentication for log and search requests

2015-06-16 13:22 - Dave Vieglais

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: d1_cn_solr_extensions Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Story Points:    

Description

History

#1 - 2015-07-01 16:22 - Dave Vieglais

- Target version changed from CCI-2.0-TRUNK to CCI-2.0.0

#2 - 2015-07-01 17:13 - Dave Vieglais

- Assignee set to Skye Roseboom

Need to verify that the changes being made to support additional types of authentication work correctly with both the log and search indexes.

Subject provided in the token or certificate is being passed through to whatever is handling the request.

#3 - 2015-07-01 17:13 - Dave Vieglais

- Category set to d1_cn_index_common

#4 - 2015-07-14 21:20 - Skye Roseboom

- Project changed from CN Index to Infrastructure

- Category changed from d1_cn_index_common to d1_cn_solr_extensions

- Milestone set to None

#5 - 2015-07-15 19:11 - Ben Leinfelder

- % Done changed from 0 to 100

- Assignee changed from Skye Roseboom to Ben Leinfelder

- Status changed from New to Closed

switched to PortalCertificateManager.getSession() method that inspects both the client certificate and auth token methods for authenticating.
